Bug 568167 - [abrt] crash in comix-4.0.4-2.fc12
Summary: [abrt] crash in comix-4.0.4-2.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: comix
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3b60b502
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 22:33 UTC by Pau Aliagas
Modified: 2010-03-30 02:22 UTC (History)
1 user (show)

Fixed In Version: comix-4.0.4-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:19:30 UTC


Attachments (Terms of Use)
File: backtrace (438 bytes, text/plain)
2010-02-24 22:33 UTC, Pau Aliagas
no flags Details

Description Pau Aliagas 2010-02-24 22:33:17 UTC
abrt 1.0.7 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/comicthumb '/home/pau/Desktop/chs/chessbase/Chessbase / /home/pau/ /home /home /home/pau/ /home/pau/Desktop/c / /hom /home/p /home/pau/Desktop/ch' /tmp/.gnome_desktop_thumbnail.AJM37U 128
component: comix
executable: /usr/bin/comicthumb
kernel: 2.6.32.7-37.fc12.x86_64
package: comix-4.0.4-2.fc12
release: Fedora release 12 (Constantine)
uuid: 1166f4b8

backtrace
-----
Summary: TB1166f4b8 Image.py:1892:open:AttributeError: 'NoneType' object has no attribute 'read'

Traceback (most recent call last):
  File "/usr/bin/comicthumb", line 200, in <module>
    im = Image.open(fd)
  File "/usr/lib64/python2.6/site-packages/PIL/Image.py", line 1892, in open
    prefix = fp.read(16)
AttributeError: 'NoneType' object has no attribute 'read'

Local variables in innermost frame:
fp: None
mode: 'r'
filename: ''

Comment 1 Pau Aliagas 2010-02-24 22:33:20 UTC
Created attachment 396175 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-03-17 18:25:02 UTC
Would you write here the detailed procedure how to reproduce
this issue?

Comment 3 Mamoru TASAKA 2010-03-18 11:43:16 UTC
A possible workaround added. Anyway the information
about how to reproduce this issue is appreciated.

Comment 4 Fedora Update System 2010-03-18 12:03:24 UTC
comix-4.0.4-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/comix-4.0.4-3.fc12

Comment 5 Fedora Update System 2010-03-18 12:04:39 UTC
comix-4.0.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/comix-4.0.4-3.fc11

Comment 6 Fedora Update System 2010-03-20 03:50:41 UTC
comix-4.0.4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update comix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/comix-4.0.4-3.fc12

Comment 7 Fedora Update System 2010-03-30 02:19:14 UTC
comix-4.0.4-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-03-30 02:22:58 UTC
comix-4.0.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.